I suppose i can try a linux proof of concept. <br>But i am a terrible coder i am warning you.<br>Anyway i think i cloned the wrong repository. This seems is a api change so it would only be accepted in the jdk7 right? So i cloned <br>

<br>hg clone <a href="http://hg.openjdk.java.net/jdk7/jdk7/jdk">http://hg.openjdk.java.net/jdk7/jdk7/jdk</a> ~/ExplorerJDK7<br><br>However earlier i got sudo aptitude build-dep openjdk-6<br><br>So the netbeans projects don&#39;t work because of i suppose java 7 only features.<br>

I have to install openjdk-7-jdk right? And i suppose change the bootstrap jdk to it, And jdk 7 is the right project?<br>